summaryrefslogtreecommitdiff
path: root/standalone/android/buildchroot-inchroot-asuser
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
commit272a08e3773f56a07ef9163e191a6a76cd983d69 (patch)
tree46a4915d6a49f4a78afead903625ced2e8b49162 /standalone/android/buildchroot-inchroot-asuser
parentf159e8bccd823a9125f3134fba5a5dc3c7dd7df7 (diff)
new buildchroot script to automate android chroot setup
Diffstat (limited to 'standalone/android/buildchroot-inchroot-asuser')
-rwxr-xr-xstandalone/android/buildchroot-inchroot-asuser13
1 files changed, 13 insertions, 0 deletions
diff --git a/standalone/android/buildchroot-inchroot-asuser b/standalone/android/buildchroot-inchroot-asuser
new file mode 100755
index 000000000..a4467e66b
--- /dev/null
+++ b/standalone/android/buildchroot-inchroot-asuser
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Runs inside the chroot set up by buildchroot, as the user it creates
+set -e
+
+rm -rf .ghc .cabal
+cabal update
+cabal install happy alex --bindir=$HOME/bin
+PATH=$HOME/bin:$PATH
+export PATH
+git clone https://github.com/joeyh/ghc-android
+cd ghc-android
+git checkout stable-ghc-snapshot
+./build